<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.5.0_17) on Fri Dec 04 18:31:11 CET 2009 -->
<TITLE>
MatrixOperations
</TITLE>

<META NAME="keywords" CONTENT="ch.javasoft.smx.ops.MatrixOperations interface">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    parent.document.title="MatrixOperations";
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/MatrixOperations.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../ch/javasoft/smx/ops/Invert.html" title="class in ch.javasoft.smx.ops"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../ch/javasoft/smx/ops/Mul.html" title="class in ch.javasoft.smx.ops"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../index.html?ch/javasoft/smx/ops/MatrixOperations.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="MatrixOperations.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<!-- ======== START OF CLASS DATA ======== -->
<H2>
<FONT SIZE="-1">
ch.javasoft.smx.ops</FONT>
<BR>
Interface MatrixOperations&lt;N extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Number.html" title="class or interface in java.lang">Number</A>&gt;</H2>
<DL>
<DT><B>All Known Implementing Classes:</B> <DD><A HREF="../../../../ch/javasoft/smx/ops/matrix/BigIntegerMatrixOperations.html" title="class in ch.javasoft.smx.ops.matrix">BigIntegerMatrixOperations</A>, <A HREF="../../../../ch/javasoft/smx/ops/matrix/BigIntegerRationalMatrixOperations.html" title="class in ch.javasoft.smx.ops.matrix">BigIntegerRationalMatrixOperations</A>, <A HREF="../../../../ch/javasoft/smx/ops/matrix/DoubleMatrixOperations.html" title="class in ch.javasoft.smx.ops.matrix">DoubleMatrixOperations</A>, <A HREF="../../../../ch/javasoft/smx/ops/matrix/IntMatrixOperations.html" title="class in ch.javasoft.smx.ops.matrix">IntMatrixOperations</A>, <A HREF="../../../../ch/javasoft/smx/ops/matrix/LongMatrixOperations.html" title="class in ch.javasoft.smx.ops.matrix">LongMatrixOperations</A></DD>
</DL>
<HR>
<DL>
<DT><PRE>public interface <A HREF="../../../../src-html/ch/javasoft/smx/ops/MatrixOperations.html#line.46"><B>MatrixOperations&lt;N extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Number.html" title="class or interface in java.lang">Number</A>&gt;</B></A></DL>
</PRE>

<P>
The <code>MatrixOperations</code> is similar to <A HREF="../../../../ch/javasoft/math/NumberOperations.html" title="interface in ch.javasoft.math"><CODE>NumberOperations</CODE></A>, but
 for matrices.
<P>

<P>
<HR>

<P>

<!-- ========== METHOD SUMMARY =========== -->

<A NAME="method_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Method Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../ch/javasoft/smx/iface/ReadableMatrix.html" title="interface in ch.javasoft.smx.iface">ReadableMatrix</A>&lt;<A HREF="../../../../ch/javasoft/smx/ops/MatrixOperations.html" title="type parameter in MatrixOperations">N</A>&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/smx/ops/MatrixOperations.html#add(ch.javasoft.smx.iface.ReadableMatrix, N)">add</A></B>(<A HREF="../../../../ch/javasoft/smx/iface/ReadableMatrix.html" title="interface in ch.javasoft.smx.iface">ReadableMatrix</A>&lt;<A HREF="../../../../ch/javasoft/smx/ops/MatrixOperations.html" title="type parameter in MatrixOperations">N</A>&gt;&nbsp;mxA,
       <A HREF="../../../../ch/javasoft/smx/ops/MatrixOperations.html" title="type parameter in MatrixOperations">N</A>&nbsp;value)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../ch/javasoft/smx/iface/ReadableMatrix.html" title="interface in ch.javasoft.smx.iface">ReadableMatrix</A>&lt;<A HREF="../../../../ch/javasoft/smx/ops/MatrixOperations.html" title="type parameter in MatrixOperations">N</A>&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/smx/ops/MatrixOperations.html#add(ch.javasoft.smx.iface.ReadableMatrix, ch.javasoft.smx.iface.ReadableMatrix)">add</A></B>(<A HREF="../../../../ch/javasoft/smx/iface/ReadableMatrix.html" title="interface in ch.javasoft.smx.iface">ReadableMatrix</A>&lt;<A HREF="../../../../ch/javasoft/smx/ops/MatrixOperations.html" title="type parameter in MatrixOperations">N</A>&gt;&nbsp;mxA,
       <A HREF="../../../../ch/javasoft/smx/iface/ReadableMatrix.html" title="interface in ch.javasoft.smx.iface">ReadableMatrix</A>&lt;<A HREF="../../../../ch/javasoft/smx/ops/MatrixOperations.html" title="type parameter in MatrixOperations">N</A>&gt;&nbsp;mxB)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../ch/javasoft/smx/iface/ReadableMatrix.html" title="interface in ch.javasoft.smx.iface">ReadableMatrix</A>&lt;<A HREF="../../../../ch/javasoft/smx/ops/MatrixOperations.html" title="type parameter in MatrixOperations">N</A>&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/smx/ops/MatrixOperations.html#createReadableMatrix(int, int)">createReadableMatrix</A></B>(int&nbsp;rows,
                                         int&nbsp;cols)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../ch/javasoft/smx/iface/ReadableMatrix.html" title="interface in ch.javasoft.smx.iface">ReadableMatrix</A>&lt;<A HREF="../../../../ch/javasoft/smx/ops/MatrixOperations.html" title="type parameter in MatrixOperations">N</A>&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/smx/ops/MatrixOperations.html#createReadableMatrix(N[][], boolean)">createReadableMatrix</A></B>(<A HREF="../../../../ch/javasoft/smx/ops/MatrixOperations.html" title="type parameter in MatrixOperations">N</A>[][]&nbsp;values,
                                         boolean&nbsp;rowsInFirstDim)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../ch/javasoft/smx/iface/ReadableVector.html" title="interface in ch.javasoft.smx.iface">ReadableVector</A>&lt;<A HREF="../../../../ch/javasoft/smx/ops/MatrixOperations.html" title="type parameter in MatrixOperations">N</A>&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/smx/ops/MatrixOperations.html#createReadableVector(int, boolean)">createReadableVector</A></B>(int&nbsp;size,
                                         boolean&nbsp;columnVector)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../ch/javasoft/smx/iface/ReadableVector.html" title="interface in ch.javasoft.smx.iface">ReadableVector</A>&lt;<A HREF="../../../../ch/javasoft/smx/ops/MatrixOperations.html" title="type parameter in MatrixOperations">N</A>&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/smx/ops/MatrixOperations.html#createReadableVector(N[], boolean)">createReadableVector</A></B>(<A HREF="../../../../ch/javasoft/smx/ops/MatrixOperations.html" title="type parameter in MatrixOperations">N</A>[]&nbsp;values,
                                         boolean&nbsp;columnVector)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../ch/javasoft/smx/iface/WritableMatrix.html" title="interface in ch.javasoft.smx.iface">WritableMatrix</A>&lt;<A HREF="../../../../ch/javasoft/smx/ops/MatrixOperations.html" title="type parameter in MatrixOperations">N</A>&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/smx/ops/MatrixOperations.html#createWritableMatrix(int, int)">createWritableMatrix</A></B>(int&nbsp;rows,
                                         int&nbsp;cols)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../ch/javasoft/smx/iface/WritableMatrix.html" title="interface in ch.javasoft.smx.iface">WritableMatrix</A>&lt;<A HREF="../../../../ch/javasoft/smx/ops/MatrixOperations.html" title="type parameter in MatrixOperations">N</A>&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/smx/ops/MatrixOperations.html#createWritableMatrix(N[][], boolean)">createWritableMatrix</A></B>(<A HREF="../../../../ch/javasoft/smx/ops/MatrixOperations.html" title="type parameter in MatrixOperations">N</A>[][]&nbsp;values,
                                         boolean&nbsp;rowsInFirstDim)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../ch/javasoft/smx/iface/WritableVector.html" title="interface in ch.javasoft.smx.iface">WritableVector</A>&lt;<A HREF="../../../../ch/javasoft/smx/ops/MatrixOperations.html" title="type parameter in MatrixOperations">N</A>&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/smx/ops/MatrixOperations.html#createWritableVector(int, boolean)">createWritableVector</A></B>(int&nbsp;size,
                                         boolean&nbsp;columnVector)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../ch/javasoft/smx/iface/WritableVector.html" title="interface in ch.javasoft.smx.iface">WritableVector</A>&lt;<A HREF="../../../../ch/javasoft/smx/ops/MatrixOperations.html" title="type parameter in MatrixOperations">N</A>&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/smx/ops/MatrixOperations.html#createWritableVector(N[], boolean)">createWritableVector</A></B>(<A HREF="../../../../ch/javasoft/smx/ops/MatrixOperations.html" title="type parameter in MatrixOperations">N</A>[]&nbsp;values,
                                         boolean&nbsp;columnVector)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../ch/javasoft/math/NumberOperations.html" title="interface in ch.javasoft.math">NumberOperations</A>&lt;<A HREF="../../../../ch/javasoft/smx/ops/MatrixOperations.html" title="type parameter in MatrixOperations">N</A>&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/smx/ops/MatrixOperations.html#getNumberOperations()">getNumberOperations</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../ch/javasoft/smx/iface/ReadableMatrix.html" title="interface in ch.javasoft.smx.iface">ReadableMatrix</A>&lt;<A HREF="../../../../ch/javasoft/smx/ops/MatrixOperations.html" title="type parameter in MatrixOperations">N</A>&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/smx/ops/MatrixOperations.html#multiply(ch.javasoft.smx.iface.ReadableMatrix, N)">multiply</A></B>(<A HREF="../../../../ch/javasoft/smx/iface/ReadableMatrix.html" title="interface in ch.javasoft.smx.iface">ReadableMatrix</A>&lt;<A HREF="../../../../ch/javasoft/smx/ops/MatrixOperations.html" title="type parameter in MatrixOperations">N</A>&gt;&nbsp;mxA,
                 <A HREF="../../../../ch/javasoft/smx/ops/MatrixOperations.html" title="type parameter in MatrixOperations">N</A>&nbsp;value)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../ch/javasoft/smx/iface/ReadableMatrix.html" title="interface in ch.javasoft.smx.iface">ReadableMatrix</A>&lt;<A HREF="../../../../ch/javasoft/smx/ops/MatrixOperations.html" title="type parameter in MatrixOperations">N</A>&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/smx/ops/MatrixOperations.html#multiply(ch.javasoft.smx.iface.ReadableMatrix, ch.javasoft.smx.iface.ReadableMatrix)">multiply</A></B>(<A HREF="../../../../ch/javasoft/smx/iface/ReadableMatrix.html" title="interface in ch.javasoft.smx.iface">ReadableMatrix</A>&lt;<A HREF="../../../../ch/javasoft/smx/ops/MatrixOperations.html" title="type parameter in MatrixOperations">N</A>&gt;&nbsp;mxA,
                 <A HREF="../../../../ch/javasoft/smx/iface/ReadableMatrix.html" title="interface in ch.javasoft.smx.iface">ReadableMatrix</A>&lt;<A HREF="../../../../ch/javasoft/smx/ops/MatrixOperations.html" title="type parameter in MatrixOperations">N</A>&gt;&nbsp;mxB)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../ch/javasoft/smx/iface/ReadableMatrix.html" title="interface in ch.javasoft.smx.iface">ReadableMatrix</A>&lt;<A HREF="../../../../ch/javasoft/smx/ops/MatrixOperations.html" title="type parameter in MatrixOperations">N</A>&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/smx/ops/MatrixOperations.html#negate(ch.javasoft.smx.iface.ReadableMatrix)">negate</A></B>(<A HREF="../../../../ch/javasoft/smx/iface/ReadableMatrix.html" title="interface in ch.javasoft.smx.iface">ReadableMatrix</A>&lt;<A HREF="../../../../ch/javasoft/smx/ops/MatrixOperations.html" title="type parameter in MatrixOperations">N</A>&gt;&nbsp;matrix)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../ch/javasoft/smx/iface/ReadableMatrix.html" title="interface in ch.javasoft.smx.iface">ReadableMatrix</A>&lt;<A HREF="../../../../ch/javasoft/smx/ops/MatrixOperations.html" title="type parameter in MatrixOperations">N</A>&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/smx/ops/MatrixOperations.html#subtract(ch.javasoft.smx.iface.ReadableMatrix, N)">subtract</A></B>(<A HREF="../../../../ch/javasoft/smx/iface/ReadableMatrix.html" title="interface in ch.javasoft.smx.iface">ReadableMatrix</A>&lt;<A HREF="../../../../ch/javasoft/smx/ops/MatrixOperations.html" title="type parameter in MatrixOperations">N</A>&gt;&nbsp;mxA,
                 <A HREF="../../../../ch/javasoft/smx/ops/MatrixOperations.html" title="type parameter in MatrixOperations">N</A>&nbsp;value)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../ch/javasoft/smx/iface/ReadableMatrix.html" title="interface in ch.javasoft.smx.iface">ReadableMatrix</A>&lt;<A HREF="../../../../ch/javasoft/smx/ops/MatrixOperations.html" title="type parameter in MatrixOperations">N</A>&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/smx/ops/MatrixOperations.html#subtract(ch.javasoft.smx.iface.ReadableMatrix, ch.javasoft.smx.iface.ReadableMatrix)">subtract</A></B>(<A HREF="../../../../ch/javasoft/smx/iface/ReadableMatrix.html" title="interface in ch.javasoft.smx.iface">ReadableMatrix</A>&lt;<A HREF="../../../../ch/javasoft/smx/ops/MatrixOperations.html" title="type parameter in MatrixOperations">N</A>&gt;&nbsp;mxA,
                 <A HREF="../../../../ch/javasoft/smx/iface/ReadableMatrix.html" title="interface in ch.javasoft.smx.iface">ReadableMatrix</A>&lt;<A HREF="../../../../ch/javasoft/smx/ops/MatrixOperations.html" title="type parameter in MatrixOperations">N</A>&gt;&nbsp;mxB)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../ch/javasoft/smx/iface/ReadableMatrix.html" title="interface in ch.javasoft.smx.iface">ReadableMatrix</A>&lt;<A HREF="../../../../ch/javasoft/smx/ops/MatrixOperations.html" title="type parameter in MatrixOperations">N</A>&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/smx/ops/MatrixOperations.html#transpose(ch.javasoft.smx.iface.ReadableMatrix)">transpose</A></B>(<A HREF="../../../../ch/javasoft/smx/iface/ReadableMatrix.html" title="interface in ch.javasoft.smx.iface">ReadableMatrix</A>&lt;<A HREF="../../../../ch/javasoft/smx/ops/MatrixOperations.html" title="type parameter in MatrixOperations">N</A>&gt;&nbsp;matrix)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>

<!-- ============ METHOD DETAIL ========== -->

<A NAME="method_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Method Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="createReadableMatrix(java.lang.Number,boolean)"><!-- --></A><A NAME="createReadableMatrix(N[][], boolean)"><!-- --></A><H3>
createReadableMatrix</H3>
<PRE>
<A HREF="../../../../ch/javasoft/smx/iface/ReadableMatrix.html" title="interface in ch.javasoft.smx.iface">ReadableMatrix</A>&lt;<A HREF="../../../../ch/javasoft/smx/ops/MatrixOperations.html" title="type parameter in MatrixOperations">N</A>&gt; <A HREF="../../../../src-html/ch/javasoft/smx/ops/MatrixOperations.html#line.47"><B>createReadableMatrix</B></A>(<A HREF="../../../../ch/javasoft/smx/ops/MatrixOperations.html" title="type parameter in MatrixOperations">N</A>[][]&nbsp;values,
                                       boolean&nbsp;rowsInFirstDim)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="createWritableMatrix(java.lang.Number,boolean)"><!-- --></A><A NAME="createWritableMatrix(N[][], boolean)"><!-- --></A><H3>
createWritableMatrix</H3>
<PRE>
<A HREF="../../../../ch/javasoft/smx/iface/WritableMatrix.html" title="interface in ch.javasoft.smx.iface">WritableMatrix</A>&lt;<A HREF="../../../../ch/javasoft/smx/ops/MatrixOperations.html" title="type parameter in MatrixOperations">N</A>&gt; <A HREF="../../../../src-html/ch/javasoft/smx/ops/MatrixOperations.html#line.48"><B>createWritableMatrix</B></A>(<A HREF="../../../../ch/javasoft/smx/ops/MatrixOperations.html" title="type parameter in MatrixOperations">N</A>[][]&nbsp;values,
                                       boolean&nbsp;rowsInFirstDim)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="createReadableMatrix(int, int)"><!-- --></A><H3>
createReadableMatrix</H3>
<PRE>
<A HREF="../../../../ch/javasoft/smx/iface/ReadableMatrix.html" title="interface in ch.javasoft.smx.iface">ReadableMatrix</A>&lt;<A HREF="../../../../ch/javasoft/smx/ops/MatrixOperations.html" title="type parameter in MatrixOperations">N</A>&gt; <A HREF="../../../../src-html/ch/javasoft/smx/ops/MatrixOperations.html#line.49"><B>createReadableMatrix</B></A>(int&nbsp;rows,
                                       int&nbsp;cols)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="createWritableMatrix(int, int)"><!-- --></A><H3>
createWritableMatrix</H3>
<PRE>
<A HREF="../../../../ch/javasoft/smx/iface/WritableMatrix.html" title="interface in ch.javasoft.smx.iface">WritableMatrix</A>&lt;<A HREF="../../../../ch/javasoft/smx/ops/MatrixOperations.html" title="type parameter in MatrixOperations">N</A>&gt; <A HREF="../../../../src-html/ch/javasoft/smx/ops/MatrixOperations.html#line.50"><B>createWritableMatrix</B></A>(int&nbsp;rows,
                                       int&nbsp;cols)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="createReadableVector(java.lang.Number,boolean)"><!-- --></A><A NAME="createReadableVector(N[], boolean)"><!-- --></A><H3>
createReadableVector</H3>
<PRE>
<A HREF="../../../../ch/javasoft/smx/iface/ReadableVector.html" title="interface in ch.javasoft.smx.iface">ReadableVector</A>&lt;<A HREF="../../../../ch/javasoft/smx/ops/MatrixOperations.html" title="type parameter in MatrixOperations">N</A>&gt; <A HREF="../../../../src-html/ch/javasoft/smx/ops/MatrixOperations.html#line.51"><B>createReadableVector</B></A>(<A HREF="../../../../ch/javasoft/smx/ops/MatrixOperations.html" title="type parameter in MatrixOperations">N</A>[]&nbsp;values,
                                       boolean&nbsp;columnVector)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="createWritableVector(java.lang.Number,boolean)"><!-- --></A><A NAME="createWritableVector(N[], boolean)"><!-- --></A><H3>
createWritableVector</H3>
<PRE>
<A HREF="../../../../ch/javasoft/smx/iface/WritableVector.html" title="interface in ch.javasoft.smx.iface">WritableVector</A>&lt;<A HREF="../../../../ch/javasoft/smx/ops/MatrixOperations.html" title="type parameter in MatrixOperations">N</A>&gt; <A HREF="../../../../src-html/ch/javasoft/smx/ops/MatrixOperations.html#line.52"><B>createWritableVector</B></A>(<A HREF="../../../../ch/javasoft/smx/ops/MatrixOperations.html" title="type parameter in MatrixOperations">N</A>[]&nbsp;values,
                                       boolean&nbsp;columnVector)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="createReadableVector(int, boolean)"><!-- --></A><H3>
createReadableVector</H3>
<PRE>
<A HREF="../../../../ch/javasoft/smx/iface/ReadableVector.html" title="interface in ch.javasoft.smx.iface">ReadableVector</A>&lt;<A HREF="../../../../ch/javasoft/smx/ops/MatrixOperations.html" title="type parameter in MatrixOperations">N</A>&gt; <A HREF="../../../../src-html/ch/javasoft/smx/ops/MatrixOperations.html#line.53"><B>createReadableVector</B></A>(int&nbsp;size,
                                       boolean&nbsp;columnVector)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="createWritableVector(int, boolean)"><!-- --></A><H3>
createWritableVector</H3>
<PRE>
<A HREF="../../../../ch/javasoft/smx/iface/WritableVector.html" title="interface in ch.javasoft.smx.iface">WritableVector</A>&lt;<A HREF="../../../../ch/javasoft/smx/ops/MatrixOperations.html" title="type parameter in MatrixOperations">N</A>&gt; <A HREF="../../../../src-html/ch/javasoft/smx/ops/MatrixOperations.html#line.54"><B>createWritableVector</B></A>(int&nbsp;size,
                                       boolean&nbsp;columnVector)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="transpose(ch.javasoft.smx.iface.ReadableMatrix)"><!-- --></A><H3>
transpose</H3>
<PRE>
<A HREF="../../../../ch/javasoft/smx/iface/ReadableMatrix.html" title="interface in ch.javasoft.smx.iface">ReadableMatrix</A>&lt;<A HREF="../../../../ch/javasoft/smx/ops/MatrixOperations.html" title="type parameter in MatrixOperations">N</A>&gt; <A HREF="../../../../src-html/ch/javasoft/smx/ops/MatrixOperations.html#line.55"><B>transpose</B></A>(<A HREF="../../../../ch/javasoft/smx/iface/ReadableMatrix.html" title="interface in ch.javasoft.smx.iface">ReadableMatrix</A>&lt;<A HREF="../../../../ch/javasoft/smx/ops/MatrixOperations.html" title="type parameter in MatrixOperations">N</A>&gt;&nbsp;matrix)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="negate(ch.javasoft.smx.iface.ReadableMatrix)"><!-- --></A><H3>
negate</H3>
<PRE>
<A HREF="../../../../ch/javasoft/smx/iface/ReadableMatrix.html" title="interface in ch.javasoft.smx.iface">ReadableMatrix</A>&lt;<A HREF="../../../../ch/javasoft/smx/ops/MatrixOperations.html" title="type parameter in MatrixOperations">N</A>&gt; <A HREF="../../../../src-html/ch/javasoft/smx/ops/MatrixOperations.html#line.56"><B>negate</B></A>(<A HREF="../../../../ch/javasoft/smx/iface/ReadableMatrix.html" title="interface in ch.javasoft.smx.iface">ReadableMatrix</A>&lt;<A HREF="../../../../ch/javasoft/smx/ops/MatrixOperations.html" title="type parameter in MatrixOperations">N</A>&gt;&nbsp;matrix)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="add(ch.javasoft.smx.iface.ReadableMatrix,java.lang.Number)"><!-- --></A><A NAME="add(ch.javasoft.smx.iface.ReadableMatrix, N)"><!-- --></A><H3>
add</H3>
<PRE>
<A HREF="../../../../ch/javasoft/smx/iface/ReadableMatrix.html" title="interface in ch.javasoft.smx.iface">ReadableMatrix</A>&lt;<A HREF="../../../../ch/javasoft/smx/ops/MatrixOperations.html" title="type parameter in MatrixOperations">N</A>&gt; <A HREF="../../../../src-html/ch/javasoft/smx/ops/MatrixOperations.html#line.57"><B>add</B></A>(<A HREF="../../../../ch/javasoft/smx/iface/ReadableMatrix.html" title="interface in ch.javasoft.smx.iface">ReadableMatrix</A>&lt;<A HREF="../../../../ch/javasoft/smx/ops/MatrixOperations.html" title="type parameter in MatrixOperations">N</A>&gt;&nbsp;mxA,
                      <A HREF="../../../../ch/javasoft/smx/ops/MatrixOperations.html" title="type parameter in MatrixOperations">N</A>&nbsp;value)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="add(ch.javasoft.smx.iface.ReadableMatrix, ch.javasoft.smx.iface.ReadableMatrix)"><!-- --></A><H3>
add</H3>
<PRE>
<A HREF="../../../../ch/javasoft/smx/iface/ReadableMatrix.html" title="interface in ch.javasoft.smx.iface">ReadableMatrix</A>&lt;<A HREF="../../../../ch/javasoft/smx/ops/MatrixOperations.html" title="type parameter in MatrixOperations">N</A>&gt; <A HREF="../../../../src-html/ch/javasoft/smx/ops/MatrixOperations.html#line.58"><B>add</B></A>(<A HREF="../../../../ch/javasoft/smx/iface/ReadableMatrix.html" title="interface in ch.javasoft.smx.iface">ReadableMatrix</A>&lt;<A HREF="../../../../ch/javasoft/smx/ops/MatrixOperations.html" title="type parameter in MatrixOperations">N</A>&gt;&nbsp;mxA,
                      <A HREF="../../../../ch/javasoft/smx/iface/ReadableMatrix.html" title="interface in ch.javasoft.smx.iface">ReadableMatrix</A>&lt;<A HREF="../../../../ch/javasoft/smx/ops/MatrixOperations.html" title="type parameter in MatrixOperations">N</A>&gt;&nbsp;mxB)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="subtract(ch.javasoft.smx.iface.ReadableMatrix,java.lang.Number)"><!-- --></A><A NAME="subtract(ch.javasoft.smx.iface.ReadableMatrix, N)"><!-- --></A><H3>
subtract</H3>
<PRE>
<A HREF="../../../../ch/javasoft/smx/iface/ReadableMatrix.html" title="interface in ch.javasoft.smx.iface">ReadableMatrix</A>&lt;<A HREF="../../../../ch/javasoft/smx/ops/MatrixOperations.html" title="type parameter in MatrixOperations">N</A>&gt; <A HREF="../../../../src-html/ch/javasoft/smx/ops/MatrixOperations.html#line.59"><B>subtract</B></A>(<A HREF="../../../../ch/javasoft/smx/iface/ReadableMatrix.html" title="interface in ch.javasoft.smx.iface">ReadableMatrix</A>&lt;<A HREF="../../../../ch/javasoft/smx/ops/MatrixOperations.html" title="type parameter in MatrixOperations">N</A>&gt;&nbsp;mxA,
                           <A HREF="../../../../ch/javasoft/smx/ops/MatrixOperations.html" title="type parameter in MatrixOperations">N</A>&nbsp;value)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="subtract(ch.javasoft.smx.iface.ReadableMatrix, ch.javasoft.smx.iface.ReadableMatrix)"><!-- --></A><H3>
subtract</H3>
<PRE>
<A HREF="../../../../ch/javasoft/smx/iface/ReadableMatrix.html" title="interface in ch.javasoft.smx.iface">ReadableMatrix</A>&lt;<A HREF="../../../../ch/javasoft/smx/ops/MatrixOperations.html" title="type parameter in MatrixOperations">N</A>&gt; <A HREF="../../../../src-html/ch/javasoft/smx/ops/MatrixOperations.html#line.60"><B>subtract</B></A>(<A HREF="../../../../ch/javasoft/smx/iface/ReadableMatrix.html" title="interface in ch.javasoft.smx.iface">ReadableMatrix</A>&lt;<A HREF="../../../../ch/javasoft/smx/ops/MatrixOperations.html" title="type parameter in MatrixOperations">N</A>&gt;&nbsp;mxA,
                           <A HREF="../../../../ch/javasoft/smx/iface/ReadableMatrix.html" title="interface in ch.javasoft.smx.iface">ReadableMatrix</A>&lt;<A HREF="../../../../ch/javasoft/smx/ops/MatrixOperations.html" title="type parameter in MatrixOperations">N</A>&gt;&nbsp;mxB)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="multiply(ch.javasoft.smx.iface.ReadableMatrix,java.lang.Number)"><!-- --></A><A NAME="multiply(ch.javasoft.smx.iface.ReadableMatrix, N)"><!-- --></A><H3>
multiply</H3>
<PRE>
<A HREF="../../../../ch/javasoft/smx/iface/ReadableMatrix.html" title="interface in ch.javasoft.smx.iface">ReadableMatrix</A>&lt;<A HREF="../../../../ch/javasoft/smx/ops/MatrixOperations.html" title="type parameter in MatrixOperations">N</A>&gt; <A HREF="../../../../src-html/ch/javasoft/smx/ops/MatrixOperations.html#line.61"><B>multiply</B></A>(<A HREF="../../../../ch/javasoft/smx/iface/ReadableMatrix.html" title="interface in ch.javasoft.smx.iface">ReadableMatrix</A>&lt;<A HREF="../../../../ch/javasoft/smx/ops/MatrixOperations.html" title="type parameter in MatrixOperations">N</A>&gt;&nbsp;mxA,
                           <A HREF="../../../../ch/javasoft/smx/ops/MatrixOperations.html" title="type parameter in MatrixOperations">N</A>&nbsp;value)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="multiply(ch.javasoft.smx.iface.ReadableMatrix, ch.javasoft.smx.iface.ReadableMatrix)"><!-- --></A><H3>
multiply</H3>
<PRE>
<A HREF="../../../../ch/javasoft/smx/iface/ReadableMatrix.html" title="interface in ch.javasoft.smx.iface">ReadableMatrix</A>&lt;<A HREF="../../../../ch/javasoft/smx/ops/MatrixOperations.html" title="type parameter in MatrixOperations">N</A>&gt; <A HREF="../../../../src-html/ch/javasoft/smx/ops/MatrixOperations.html#line.62"><B>multiply</B></A>(<A HREF="../../../../ch/javasoft/smx/iface/ReadableMatrix.html" title="interface in ch.javasoft.smx.iface">ReadableMatrix</A>&lt;<A HREF="../../../../ch/javasoft/smx/ops/MatrixOperations.html" title="type parameter in MatrixOperations">N</A>&gt;&nbsp;mxA,
                           <A HREF="../../../../ch/javasoft/smx/iface/ReadableMatrix.html" title="interface in ch.javasoft.smx.iface">ReadableMatrix</A>&lt;<A HREF="../../../../ch/javasoft/smx/ops/MatrixOperations.html" title="type parameter in MatrixOperations">N</A>&gt;&nbsp;mxB)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getNumberOperations()"><!-- --></A><H3>
getNumberOperations</H3>
<PRE>
<A HREF="../../../../ch/javasoft/math/NumberOperations.html" title="interface in ch.javasoft.math">NumberOperations</A>&lt;<A HREF="../../../../ch/javasoft/smx/ops/MatrixOperations.html" title="type parameter in MatrixOperations">N</A>&gt; <A HREF="../../../../src-html/ch/javasoft/smx/ops/MatrixOperations.html#line.63"><B>getNumberOperations</B></A>()</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<!-- ========= END OF CLASS DATA ========= -->
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/MatrixOperations.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../ch/javasoft/smx/ops/Invert.html" title="class in ch.javasoft.smx.ops"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../ch/javasoft/smx/ops/Mul.html" title="class in ch.javasoft.smx.ops"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../index.html?ch/javasoft/smx/ops/MatrixOperations.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="MatrixOperations.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>

</BODY>
</HTML>
